Whamcloud - gitweb
LU-11434 tests: add version check conf-sanity 109a/b 54/33954/17
authorJames Nunez <jnunez@whamcloud.com>
Wed, 2 Jan 2019 23:02:29 +0000 (16:02 -0700)
committerOleg Drokin <green@whamcloud.com>
Thu, 20 Jun 2019 03:50:22 +0000 (03:50 +0000)
conf-sanity test 109a and 109b were added to Lustre with tag 2.10.59.
Thus, we need to check that the server is 2.10.59 or later before
running conf-sanity test 109a and 109b.

Test-Parameters: trivial envdefinitions=ONLY=109 serverjob=lustre-b2_10 serverbuildno=170 testlist=conf-sanity
Test-Parameters: envdefinitions=ONLY=109 testlist=conf-sanity
Signed-off-by: James Nunez <jnunez@whamcloud.com>
Change-Id: I4a653d1374973f00d283af885183621ec14628e1
Reviewed-on: https://review.whamcloud.com/33954
Reviewed-by: Wei Liu <sarah@whamcloud.com>
Tested-by: Jenkins
Tested-by: Maloo <maloo@whamcloud.com>
Reviewed-by: Arshad Hussain <arshad.super@gmail.com>
Reviewed-by: Oleg Drokin <green@whamcloud.com>
lustre/tests/conf-sanity.sh

index f54aa77..7e07859 100644 (file)
@@ -8032,6 +8032,8 @@ test_109_file_shortened() {
 
 test_109a()
 {
 
 test_109a()
 {
+       [ $MDS1_VERSION -lt $(version_code 2.10.59) ] &&
+               skip "Needs MDS version 2.10.59 or later."
        [ "$(facet_fstype mgs)" == "zfs" ] &&
                skip "LU-8727: no implementation for ZFS"
 
        [ "$(facet_fstype mgs)" == "zfs" ] &&
                skip "LU-8727: no implementation for ZFS"
 
@@ -8084,6 +8086,8 @@ run_test 109a "test lctl clear_conf fsname"
 
 test_109b()
 {
 
 test_109b()
 {
+       [ $MDS1_VERSION -lt $(version_code 2.10.59) ] &&
+               skip "Needs MDS version 2.10.59 or later."
        [ "$(facet_fstype mgs)" == "zfs" ] &&
                skip "LU-8727: no implementation for ZFS"
 
        [ "$(facet_fstype mgs)" == "zfs" ] &&
                skip "LU-8727: no implementation for ZFS"